#include <stdio.h>
#include <stdlib.h>
int main(){

    unsigned long long int suma;
    int i,d,k,brojac=0;
    scanf("%llu", &suma);
    for(k=20;k!=-1;k--){
        d=5;
        if(d==5){
            if(suma>d*pow(10,k)){
            suma=suma-d*pow(10,k);
            brojac++;
            }
        }
        d=2;
        if(d==2){
            if(suma>d*pow(10,k)){
            suma=suma-d*pow(10,k);
            brojac++;
            }
            if(suma>d*pow(10,k)){
            suma=suma-d*pow(10,k);
            brojac++;
            }
        }
        d=1;
        if(d==1){
            if(suma>d*pow(10,k)){
            suma=suma-d*pow(10,k);
            brojac++;
            }
        }
    }
    printf("%d",brojac);
    return 0;
}